Page MenuHomePhabricator

[Extension: GlobalContributions] Use plaintextParams directly instead of using rawParams()
Closed, ResolvedPublic

Description

Use plaintextParams directly instead of using rawParams()

Solution: - Remove the unnecessary htmlspecialchars() and use plaintextParams instead of using rawParams() in GlobalContributions.body.php

Level:- Very easy

Reserved for Mini-MWT at VVIT (Feb 2019)

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalContributions : masterUse plaintextParams directly instead of using rawParams()

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 17 2019, 5:23 PM
Reedy renamed this task from [Extenion: GlobalContributions] Use plaintextParams directly instead of using rawParams() to [Extension: GlobalContributions] Use plaintextParams directly instead of using rawParams().Feb 18 2019, 10:38 AM
Asrija1 claimed this task.Feb 23 2019, 5:22 AM

Change 492444 had a related patch set uploaded (by Asrija1; owner: Asrija1):
[mediawiki/extensions/GlobalContributions@master] Use plaintextParams directly instead of using rawParams()

https://gerrit.wikimedia.org/r/492444

Change 492444 merged by jenkins-bot:
[mediawiki/extensions/GlobalContributions@master] Use plaintextParams directly instead of using rawParams()

https://gerrit.wikimedia.org/r/492444

Jayprakash12345 closed this task as Resolved.Apr 4 2019, 7:59 PM
Jayprakash12345 removed a project: Patch-For-Review.
Jayprakash12345 removed a subscriber: gerritbot.